Name:           compat-libdc1394
Version:        1.2.2
Release:        3%{?dist}
Summary:        High level API for IEEE 1394 based cameras

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/libdc1394/
Source0:        http://downloads.sourceforge.net/libdc1394/libdc1394-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel, libXv-devel, libXext-devel, libSM-devel

%if "%fedora" > "6"
BuildRequires:  compat-libraw1394-devel
%else
BuildRequires:  libraw1394-devel > 0.8.2
%endif 

Provides:       libdc1394_control13 = %{version}-%{release}
Obsoletes:      libdc1394_control13 <= %{version}-%{release}
%if "%fedora" > "6"
Requires:       compat-libraw1394
%endif
Obsoletes:      libdc1394 < 1.2.2-3

%description
libdc1394 is a library that is intended to provide a high level
programming interface for application developers who wish to control
IEEE 1394 based cameras that conform to the 1394-based Digital Camera
Specification (found at http://www.1394ta.org/).

%package        tools
Summary:        Tools for %{name}
Group:          Applications/Multimedia
Provides:       libdc1394-tools = %{version}-%{release}
Obsoletes:      libdc1394-tools < 1.2.2-3

%description    tools
libdc1394 is a library that is intended to provide a high level
programming interface for application developers who wish to control
IEEE 1394 based cameras that conform to the 1394-based Digital Camera
Specification (found at http://www.1394ta.org/).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       libdc1394-devel = %{version}-%{release}
Obsoletes:      libdc1394-devel < 1.2.2-3

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        examples
Summary:        Examples files for %{name}
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description    examples
The %{name}-examples package contains examples binaries files for
applications that use %{name}.


%prep
%setup -q -n libdc1394-%{version}
#sed -i.rpath 's|-rpath|-shared|' libdc1394/Makefile.in

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} \
%if "%fedora" > "6"
  LIBS="-L%{_libdir}/compat-libraw1394 -lraw1394"
%endif

#cp -r examples examples.%{version}-%{_arch}
#tar cjf examples.%{version}-%{_arch}.tar.bz2 \
#  -X examples.%{version}-%{_arch}/*.o examples.%{version}-%{_arch}/


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#mkdir -p $RPM_BUILD_ROOT%{_bindir}
#install -pm 0755 examples/.libs/dc1394_multiview $RPM_BUILD_ROOT%{_bindir}
#for i in grab_color_image grab_gray_image grab_partial_image; do
#install -pm 0755 examples/.libs/$i $RPM_BUILD_ROOT%{_bindir}/dc1394_$i
#done

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
#install -pm 0644 examples.%{version}-%{_arch}.tar.bz2 $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files tools
%defattr(-,root,root,-)
%{_bindir}/dc1394_vloopback

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%files examples
%defattr(-,root,root,-)
%exclude %{_bindir}/dc1394_vloopback
%{_bindir}/*
#{_datadir}/%{name}/examples.%{version}-%{_arch}.tar.bz2


%changelog
* Sat Nov 10 2008 kwizart < kwizart at gmail.com > - 1.2.2-3
- Move to compat-libdc1394

* Sat Nov 10 2007 kwizart < kwizart at gmail.com > - 1.2.2-2
- Add Requires compat-libraw1394 for Fedora > 6

* Mon Aug 13 2007 kwizart < kwizart at gmail.com > - 1.2.2-1
- Update to 1.2.2
- Drop example tarball

* Tue May  8 2007 kwizart < kwizart at gmail.com > - 1.2.1-4
- Add versioned BR for libraw1394-devel
- Reset provides/obsoletes for Axel scheme.

* Tue May  8 2007 Dominik Mierzejewski < rpm at greysector.net > - 1.2.1-3
- rename libs back to main and main to tools
- remove redundant Requires
- remove unnecessary(?) Provides and Obsoletes

* Mon May  7 2007 kwizart < kwizart at gmail.com > - 1.2.1-2
- Add BR libSM-devel
- Provides compressed examples archive and examples binaries.

* Sat May  5 2007 kwizart < kwizart at gmail.com > - 1.2.1-1
- Update to 1.2.1

* Sun May 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.0.

* Sat Oct  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0.

* Mon Apr 12 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
